<?php

/**
* Function to write the data needed in the header by highslide.
*
* @access public
*/
function muds_header() {
	require('highslide-header.php');
}

/**
* Function to write the data needed in the footer by highslide.
*
* @access public
*/
function muds_footer() {
	require('highslide-footer.php');
}

/**
* This function returns the html code to show an image using highslide as the viewer
*
* @access public
* @param url image The url to the big one.
* @param url image The url to the thumbnail. 
* @param string title The title of the image.
* @param int album If this image is part of an album we need a common number for this group.
* @param string float Is this image floating to the left, right or center?
* @param string comment Do this image have a comment? Send false if we don't have to show the comment.
* @param int size The size of the thumbnail.
* @return string The HTML code
*/
function muds_show($image, $thumbnail, $title, $album=0, $float='center', $comment=false, $size=200, $url, $type) {
	$options=get_option('muds_options');
	$muds_showlink=$options['show_link'];
	
	$class = 'class="slideimg"';
	$class_float="";
	$center="";
	if($float=='center') $class_center=" align=\"center\"";
	$rand = mt_rand(111111,999999);
	
	//HTML specialchars
	$title = mb_htmlentities($title);
	if($comment) $comment = mb_htmlentities($comment);
	
	//The link to the photo source
	$link = "";
	switch($type) {
		case MUDS_TYPE_PICASA:
			$link = "<a href='$url' target='_blank'>".sprintf(__('Open in %s', 'mudslide'), 'Picasa')."</a>";
			break;
		case MUDS_TYPE_FLICKR:
			$link = "<a href='$url' target='_blank'>".sprintf(__('Open in %s', 'mudslide'), 'Flickr')."</a>";
			break;
		default:
			$link="";
			break;
	}
	
	$caption=$title;
	if($muds_showlink && $url) $caption="<div class='muds-title'>$caption</div><div class='muds-link'>$link</div>";
	$caption_side="";
	if($comment) {
		$caption=apply_filters('comment_text', "<div class='comments'><h3>".$title."</h3>".$comment."</div>");
		if($muds_showlink) $caption.="<div class='muds-link' align='right'>$link</div>";
		$caption_side= "captionOverlay: { position: 'rightpanel', width: '320px'},";
	}
	
	$img = '<a id="thumb'.$rand.'" href="'.$image.'" onclick="return hs.expand(this, { '.$caption_side.' captionId: \'mudscaption'.$rand.'\', slideshowGroup: \''.$album.'\' } )" class="highslide"><img '.$class.' alt="MSS" title="'.$title.'" src="'.$thumbnail.'" border="0" style="max-width:'.$size.'px" /></a><div class="highslide-caption" id="mudscaption'.$rand.'">'.$caption.'</div>';
	return "<div class=\"slide$float\"".$class_center.">$img</div>";
}

?>
